document.addEventListener('DOMContentLoaded', function () {
  const widgets = document.querySelectorAll('.widget');
  const themeSelect = document.getElementById('theme');

  widgets.forEach(widget => {
    widget.addEventListener('dragstart', handleDragStart);
    widget.addEventListener('dragend', handleDragEnd);
  });

  function handleDragStart(e) {
    e.target.classList.add('dragging');
  }

  function handleDragEnd(e) {
    e.target.classList.remove('dragging');
  }

  themeSelect.addEventListener('change', function () {
    document.body.classList.toggle('light-theme', this.value === 'light');
  });

  document.body.classList.toggle('light-theme', themeSelect.value === 'light');
});